#ifndef __GFXTYPE_H_INCLUDED
#define __GFXTYPE_H_INCLUDED

#include "wintype.h"

typedef struct tagPOINT {
	INT32 x;
	INT32 y;
} POINT, *PPOINT;

typedef struct tagRECT {
	INT32 left;
	INT32 top;
	INT32 right;
	INT32 bottom;
} RECT, *PRECT;

typedef const POINT *PCPOINT;
typedef const RECT *PCRECT;

extern BOOL G_set_rect(PRECT rect, int left, int top, int right, int bottom);
extern BOOL G_set_rect_empty(PRECT rect);
extern BOOL G_inflate_rect(PRECT rect, int dx, int dy);
extern BOOL G_offset_rect(PRECT rect, int dx, int dy);
extern BOOL G_is_rect_empty(PCRECT rect);
extern BOOL G_point_in_rect(PCRECT rect, PCPOINT pt);
extern BOOL G_rect_equal(PCRECT rect1, PCRECT rect2);
extern BOOL G_rect_intersect(PRECT dest, PCRECT src1, PCRECT src2);
extern BOOL G_rect_union(PRECT dest, PCRECT src1, PCRECT src2);

#endif /* __GFXTYPE_H_INCLUDED */
